# 环境配置
server:
  port: 9004
  servlet:
    context-path: /api/guyuan

# condition
spel:
  scheduling: true        # 定时任务是否执行
  multiSource: false      # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: cp-root@2022++
    url: jdbc:mysql://47.97.181.40:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# dingtalk
dingtalk:
  agentId: 2356105659
  appKey: dinghov5fyfjlhzk1ej1
  appSecret: QR_1_7D0UUYtfdtMlDlmnjNSkvU2Uo3gOyabo2h09rmvj5_x0uk0Lw7N9pCy7sf-
  corpId: dinge281bf50c488ebfd35c2f4657eb6378f
  aesKey:
  token:
  operator: ""   # OA管理员账号

# aliwork
aliwork:
  appType: APP_FKRK7Y94DPI1S9DV1605
  systemToken: FN7666A1ZD0STZZ75W4CKD1GD07X3PUW2FBRKT

# tencent [腾讯云]
tencent:
  APPID: 1309939821
  SecretId: AKID2uqoryukbO2XuBThuxzdEpnmnmoocuCH
  SecretKey: wnmgYHo8wrmjlldKoHnIkDZlqvrVDpOz
  Region: ap-shanghai

# tencent [腾讯云_能辉]
tencentnh:
  APPID: 1326929507
  SecretId: AKID1kOzX2ZD61JYhwMkkes6UsQ1lgccdYWd
  SecretKey: EMQbjt7GLYwHFC4z9bNB49PfyALfuIqk
  Region: ap-shanghai